Subject: Re: bug#30290: guix-daemon slows to a crawl when a substitute server is offline
From: Maxim Cournoyer <[email-masked]>
To: zimoun <[email-masked]>
Cc: Mathieu Othacehe <[email-masked]>, [email-masked], [email-masked]
Date: Sun, 09 Oct 2022 23:03:16 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Simon,

zimoun <[email-masked]> writes:

> Hi Maxim,
>
> On Wed, 23 Mar 2022 at 11:50, zimoun <[email-masked]> wrote:
>> On Wed, 18 Aug 2021 at 22:25, Maxim Cournoyer <[email-masked]> wrote:
>
>>> Extra note: the problems reported earlier (hang or backtrace instead of
>>> graceful fallback to other substitute servers) also affect the scenario
>>> where substitutes are fetched from uDNS discovered substitute servers (I
>>> just tried).
>>
>> I guess this old bug [1] about the daemon hanging is still there, right?
>>
>> How such issue could be tackled?
>>
>> 1: <http://issues.guix.gnu.org/issue/30290>
>
> What could be actionable for tackling this old bug?

I can't seem to reproduce the original issue, which was that an offline
server would slow down fetching of substitutes by repeatedly trying to
reach it, at least when setting e.g.:

--8<---------------cut here---------------start------------->8---
127.0.0.2 ci.guix.gnu.org
--8<---------------cut here---------------end--------------->8---

In my /etc/hosts file to simulate it's unreachable, with at least
another substitute server available in my --substitute-urls list.  It
goes right to that second server without loosing any time.

Closing for now, we can always reopen the issue if it manifests itself
in the future.

-- 
Thanks,
Maxim